package com.zipcodewilmington.productmanager.inventory;

import org.junit.Assert;
import org.junit.Test;

/**
 * @author leon on 15/11/2018.
 */
public class InventoryGetQuantityTest {
    @Test
    public void getTotalQuantity() {
        // given
        Inventory inventory = new Inventory();
        Product product = new Product();
        product.setQuantity(15);
        Integer expected = 0;
        for(Product p : inventory.getProductList()) {
            expected += p.getQuantity();
        }

        // when
        Integer actual = inventory.getTotalQuantity();

        // then
        Assert.assertEquals(expected, actual);
    }
}
