package com.zipcodewilmington.productmanager.inventorymanager;

import com.zipcodewilmington.productmanager.inventory.Inventory;
import com.zipcodewilmington.productmanager.inventory.InventoryManager;
import com.zipcodewilmington.productmanager.utils.Console;
import com.zipcodewilmington.productmanager.utils.MockConsole;
import org.junit.Assert;
import org.junit.Test;

/**
 * @author leon on 15/11/2018.
 */
public class InventoryManagerAddTest {
    @Test
    public void addTest() {
        // given
        Long id = 1L;
        Double price = 2.5;
        Integer quantity = 10;
        String userInput = id + "\n" + price + "\n" + quantity + "\n";
        Console console = new MockConsole(userInput, System.out);
        InventoryManager inventoryManager = new InventoryManager(new Inventory(), console);

        // when
        inventoryManager.add();

        // then
        Assert.assertNotNull(inventoryManager.getInventory().findById(id));
    }
}
