package com.zipcodewilmington.productmanager.inventory;

import org.junit.Assert;
import org.junit.Test;

/**
 * @author leon on 15/11/2018.
 */
public class InventoryFindByIdTest {
    @Test
    public void findByIdTest() {
        //given
        Inventory inventory = new Inventory();
        Product expected = new Product(0L, null, null);
        inventory.add(expected);

        // when
        Product actual = inventory.findById(expected.getId());

        // then
        Assert.assertEquals(expected, actual);
    }
}
