package com.zipcodewilmington.productmanager.inventory;

import org.junit.Assert;
import org.junit.Test;

/**
 * @author leon on 15/11/2018.
 */
public class InventoryGetTotalValueTest {
    @Test
    public void getTotalValue() {
        // given
        Inventory inventory = new Inventory();
        Product product = new Product();
        product.setPrice(10.0);
        product.setQuantity(15);
        Double expected = 0.0;
        for(Product p : inventory.getProductList()) {
            expected += p.getPrice() * p.getQuantity();
        }

        // when
        Double actual = inventory.getTotalValue();

        // then
        Assert.assertEquals(expected, actual);
    }
}
