package com.zipcodewilmington.productmanager.inventory;

import org.junit.Assert;
import org.junit.Test;

/**
 * @author leon on 15/11/2018.
 */
public class InventoryToStringTest {
    @Test
    public void toStringTest1() {
        // giveøn
        String expected = "Inventory{productList=[Product{id=0, price=1.0, quantity=2}, Product{id=1, price=2.0, quantity=3}, Product{id=2, price=3.0, quantity=4}]}";
        Inventory inventory = new Inventory();
        inventory.add(new Product(0L, 1.0, 2));
        inventory.add(new Product(1L, 2.0, 3));
        inventory.add(new Product(2L, 3.0, 4));

        // when
        String actual = inventory.toString();

        // then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void toStringTest2() {
        // given
        String expected = "Inventory{productList=[Product{id=0, price=1.0, quantity=2}, Product{id=1, price=2.0, quantity=3}]}";
        Inventory inventory = new Inventory();
        inventory.add(new Product(0L, 1.0, 2));
        inventory.add(new Product(1L, 2.0, 3));

        // when
        String actual = inventory.toString();

        // then
        Assert.assertEquals(expected, actual);
    }
}
